AFPResourceLevel.ResourceType (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.afp

## Enum AFPResourceLevel.ResourceType

- java.lang.Object
- - java.lang.Enum<AFPResourceLevel.ResourceType>
  - - org.apache.fop.afp.AFPResourceLevel.ResourceType

- All Implemented Interfaces:
    Serializable, Comparable<AFPResourceLevel.ResourceType>
  Enclosing class:
    AFPResourceLevel

      public static enum AFPResourceLevel.ResourceType
      extends Enum<AFPResourceLevel.ResourceType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOCUMENT` document level
    `EXTERNAL` external level
    `INLINE` directly in page
    `PAGE` page level
    `PAGE_GROUP` page group level
    `PRINT_FILE` print file level

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `static AFPResourceLevel.ResourceType` | `getValueOf(String levelString)`
    `static AFPResourceLevel.ResourceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AFPResourceLevel.ResourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INLINE

          public static final AFPResourceLevel.ResourceType INLINE

      directly in page

    - #### PAGE

          public static final AFPResourceLevel.ResourceType PAGE

      page level

    - #### PAGE_GROUP

          public static final AFPResourceLevel.ResourceType PAGE_GROUP

      page group level

    - #### DOCUMENT

          public static final AFPResourceLevel.ResourceType DOCUMENT

      document level

    - #### PRINT_FILE

          public static final AFPResourceLevel.ResourceType PRINT_FILE

      print file level

    - #### EXTERNAL

          public static final AFPResourceLevel.ResourceType EXTERNAL

      external level

  - ### Method Detail

    - #### values

          public static AFPResourceLevel.ResourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AFPResourceLevel.ResourceType c : AFPResourceLevel.ResourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AFPResourceLevel.ResourceType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValueOf

          public static AFPResourceLevel.ResourceType getValueOf(String levelString)

    - #### getName

          public String getName()

Copyright © 2025 Apache Software Foundation. All rights reserved.